function compact(t)
	local nt = {}
	for i,v in ipairs(t) do
		if not v.removed then
			table.insert(nt,v)
		end
	end
	return nt
end

function cb_collide(object1, object2, contact)
	if object1 and object1.cb_collide then
		object1:cb_collide(object2, contact)
--~ 		print(object1,'collide',object2)
	end
	if object2 and object2.cb_collide then
		object2:cb_collide(object1, contact)
--~ 		print(object2,'collide',object1)
	end
end

local font = love.graphics.newImageFont("defaultfont.png",
" abcdefghijklmnopqrstuvwxyz" ..
"ABCDEFGHIJKLMNOPQRSTUVWXYZ0" ..
"123456789.,!?-+/():;%&`'*#=[]\"")
love.graphics.setFont(font)
math.randomseed(os.time())
